package it.integry.honeywellscannerlibrary;

import android.util.Log;

import it.integry.barcode_base_android_library.model.BarcodeType;

public class HoneywellBarcodeTypeMapper {

    public static BarcodeType map(String inputType) {

        switch (inputType) {
            case "h":
                return BarcodeType.CODE11;
            case "j":
                return BarcodeType.CODE128;
            case "b":
                return BarcodeType.CODE39;

            case "d":
                return BarcodeType.EAN13;
            case "D":
                return BarcodeType.EAN8;
            case "I":
                return BarcodeType.EAN128;

            case "c":
                return BarcodeType.UPCA;
            case "E":
                return BarcodeType.UPCE;
            case "e":
                return BarcodeType.INTERLEAVED_2OF5;
            default:
                Log.d("SCAN TYPE", inputType);
                return null;
        }

    }

}
